:root {
  --fc-daygrid-event-dot-width: 5px !important;
  --fc-border-color: #e8ecee !important;
  --fc-non-business-color: #f6f6f6 !important;
  --fc-event-border-color: #000091 !important;
  --fc-event-bg-color: #f5f5fe !important;
  --fc-event-text-color: #000091 !important;

  --fc-button-text-color: #000091 !important;
  --fc-button-bg-color: #fff !important;
  --fc-button-border-color: #eeeeee !important;
  --fc-button-hover-bg-color: #ececfe !important;

  --fc-button-active-bg-color: #ececfe !important;
  --fc-button-active-border-color: var(--fc-button-border-color) !important;
}

:root[data-fr-theme='dark'] {
  --fc-daygrid-event-dot-width: 5px !important;
  --fc-border-color: #2b2f31 !important; /* Passé d’un gris clair (#e8ecee) à un gris foncé */
  --fc-non-business-color: #1e1e1e !important; /* Fond clair remplacé par un gris anthracite */

  --fc-event-border-color: #6a86ff !important; /* Bleu assombri pour éviter trop de saturation */
  --fc-event-bg-color: #30336b !important; /* Bleu foncé pour un bon contraste avec le texte */
  --fc-event-text-color: #b0c3ff !important; /* Bleu clair pour ressortir sur fond foncé */

  --fc-button-text-color: #b0c3ff !important; /* Bleu clair pour meilleure lisibilité */
  --fc-button-bg-color: #2b2f31 !important; /* Fond des boutons assombri */
  --fc-button-border-color: #44484a !important; /* Bordure légèrement plus foncée pour distinction */
  --fc-button-hover-bg-color: #3b3f6d !important; /* Hover avec un bleu assombri */

  --fc-button-active-bg-color: #4a4e7d !important; /* Active avec un bleu encore plus marqué */
  --fc-button-active-border-color: var(--fc-button-border-color) !important;
}

@page {
  size: landscape;
}

body .fc {
  --fc-axis-label-color: #acadad;
  [data-theme='dark'] & {
    --fc-axis-label-color: var(--text-default-grey);
  }

  .fc-view-harness {
    background-color: var(--aei-background-white);
    border-top: 1px solid var(--aei-border-card-color);
  }

  .fc-view-harness-active > .fc-view {
    padding: 1.5rem 1.5rem 0;
    @media screen and (max-width: 50rem) {
      padding: 1rem 1rem 0;
    }
  }

  .fc-timegrid-slot-minor,
  .fc-timegrid-slot-label {
    border: none;
  }

  .fc-timegrid-slot-label-frame {
    margin-top: -1.5rem;
  }

  .fc-timegrid-slot-label-cushion {
    font-size: 0.7rem;
    color: var(--fc-axis-label-color);
  }

  .fc-timegrid-axis-cushion {
    color: var(--fc-axis-label-color);
  }

  .fc-col-header-cell-cushion {
    color: var(--background-action-high-grey);
    font-size: 13px;
    font-weight: normal;
  }

  .fc-v-event {
    border: none;
    border-left: 3px solid var(--fc-event-border-color);
    font-weight: 500;

    &.fc-v-event-not-affected:not(.fc-event-mirror) {
      background-color: #ffe9e9;
      border-left-color: #ce0500;

      .fc-event-main {
        color: #161616;
      }
    }

    &.fc-v-event-indispo:not(.fc-event-mirror) {
      background-color: #eeeeee;
      border-left-color: #929292;

      .fc-event-main {
        color: #161616;
      }
    }
  }

  .fc-event-main {
    overflow: hidden;
  }

  .fc-custom-event-title {
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  .fc-custom-event {
    display: inline-grid;
    padding: 0.15rem;

    > *:not(:first-child) {
      margin-top: 0.1rem;
    }
  }

  .fc-custom-event-hour {
    display: inline-flex;
    align-items: center;
  }

  .fc-custom-event-participant {
    margin-left: 0.2rem;
  }

  .fc-toolbar.fc-header-toolbar {
    padding: 1.5rem;
    padding-top: calc(1.5rem - 4px);
    margin: 0;
  }

  .fc-button {
    border-radius: 0 !important;
  }

  .fc-button-primary:not(:disabled).fc-button-active:focus,
  .fc-button-primary:not(:disabled):active:focus {
    box-shadow: none;
  }

  .fc-icon-print {
    font-family: 'icon-print' !important;

    &:before {
      content: '\e954';
    }
  }

  .fc-icon-calendar {
    font-family: 'icon-print' !important;

    &:before {
      content: '\e955';
    }
  }

  .fc-toolbar-title {
    font-size: 0.9rem;
    display: inline-block;
    font-weight: 400;
    color: #323338;
    [data-fr-theme='dark'] & {
      color: #c4c5ca;
    }
  }

  .fc-timegrid-event,
  .fc-timegrid-more-link {
    font-size: 12px;
    line-height: 16px;
  }
}

.fc-direction-ltr .fc-button-group > .fc-button:not(:last-child) {
  margin-right: 0.3em;
}

.dropdown-menu-planning {
  display: none;
  position: absolute;
  background-color: white;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 999999;
}

.dropdown-menu-planning button {
  background-color: white;
  color: black;
  border: none;
  cursor: pointer;
  padding: 12px 16px;
  text-align: left;
  width: 100%;
}

.dropdown-menu-planning button:hover {
  background-color: #ddd;
}
